求教AMD平台下如何安装G++?

为当前最终发行版之前的所有版本提供支持
ben302010
帖子: 14
注册时间: 2013-02-24 23:40
系统: ubuntu 13.04
送出感谢: 0
接收感谢: 0

求教AMD平台下如何安装G++?

#1

帖子 ben302010 » 2013-02-24 23:46

本人想使用sublime编程,默认使用GCC/G++,应用中心已经有GCC(G++不可已安装),上网搜索命令,使用都说依赖I368,求指点?本人新手。
头像
hawkIdeality
帖子: 411
注册时间: 2012-05-14 18:39
送出感谢: 5 次
接收感谢: 8 次

Re: 求教AMD平台下如何安装G++?

#2

帖子 hawkIdeality » 2013-02-24 23:51

难道不是直接:sudo apt-get install g++吗?
崩溃是不可抗拒滴
攒钱买(第?台)macbook,然后装ubuntu
那些说unity找不到应用程序的人拜托按一下win+A好吗?
Novelty, Novelty, Give Me Novelty
发表Linux、Win、OS X的对比帖时,建议您确认一下您真的用过Linux&&Win&&OS X,而不是用过Linux||Win||OS X。
吾乃古剑奇谭NC粉!
ben302010
帖子: 14
注册时间: 2013-02-24 23:40
系统: ubuntu 13.04
送出感谢: 0
接收感谢: 0

Re: 求教AMD平台下如何安装G++?

#3

帖子 ben302010 » 2013-02-25 1:28

:em01 g++安装了,但是还是用不了
voxtrior
帖子: 307
注册时间: 2011-03-12 12:20
来自: xx省xx市
送出感谢: 7 次
接收感谢: 1 次

Re: 求教AMD平台下如何安装G++?

#4

帖子 voxtrior » 2013-02-25 7:30

sudo apt-get install build-essential
头像
cuihao
帖子: 4793
注册时间: 2008-07-24 11:33
来自: 郑州
送出感谢: 1 次
接收感谢: 89 次
联系:

Re: 求教AMD平台下如何安装G++?

#5

帖子 cuihao » 2013-02-25 8:21

怎么用不了?什么错误?
求人不如求它仨: 天蓝的Wiki 屎黄的Wiki 绿
Site: CUIHAO.TK    Twitter: @cuihaoleo
Machine: Athlon64 X2 5200+ / 2x2GB DDR2-800 / GeForce GTS 450
AD: ~まだ見ぬ誰かの笑顔のために~
头像
懒蜗牛Gentoo
论坛版主
帖子: 7284
注册时间: 2007-03-02 17:36
送出感谢: 0
接收感谢: 95 次

Re: 求教AMD平台下如何安装G++?

#6

帖子 懒蜗牛Gentoo » 2013-02-25 9:41

4楼正解
虽然世上没有完美的东西,但这并不影响我们追求完美,因为只有偏执狂才TMD能成功。
10.04新手入门——笨兔兔讲述自己的故事
ben302010
帖子: 14
注册时间: 2013-02-24 23:40
系统: ubuntu 13.04
送出感谢: 0
接收感谢: 0

Re: 求教AMD平台下如何安装G++?

#7

帖子 ben302010 » 2013-02-25 10:43

voxtrior 写了:sudo apt-get install build-essential
之前我用这个命令的时候,会显示依赖I368,然后用不了。
不过我现在用可以,但是我的sublime 还是不能用
头像
hawkIdeality
帖子: 411
注册时间: 2012-05-14 18:39
送出感谢: 5 次
接收感谢: 8 次

Re: 求教AMD平台下如何安装G++?

#8

帖子 hawkIdeality » 2013-02-25 11:02

楼主说话真是的……就不能说明白你到底出了什么问题,有什么提示,你的操作步骤是什么吗?

非得一句“不能用”带过,估计除了你自己没人能理解你到底遇到什么问题。什么叫“现在用可以,sublime 还是不能用”?别人有心帮你,你却这么不尊重别人,唉。
崩溃是不可抗拒滴
攒钱买(第?台)macbook,然后装ubuntu
那些说unity找不到应用程序的人拜托按一下win+A好吗?
Novelty, Novelty, Give Me Novelty
发表Linux、Win、OS X的对比帖时,建议您确认一下您真的用过Linux&&Win&&OS X,而不是用过Linux||Win||OS X。
吾乃古剑奇谭NC粉!
头像
速腾1994
论坛版主
帖子: 17365
注册时间: 2008-11-01 20:43
系统: Arch+gnome
送出感谢: 23 次
接收感谢: 8 次

Re: 求教AMD平台下如何安装G++?

#9

帖子 速腾1994 » 2013-02-25 11:50

语文老师死的早

Google plus
头像
lainme
论坛版主
帖子: 7805
注册时间: 2008-09-13 19:17
系统: Arch Linux (x86_64)
送出感谢: 3 次
接收感谢: 68 次
联系:

Re: 求教AMD平台下如何安装G++?

#10

帖子 lainme » 2013-02-25 12:18

如果有终端信息或者其他输出信息,都列出来。越详细越好。其实我也没看懂 :em20 隐隐约约觉得是multiarch的问题
ben302010
帖子: 14
注册时间: 2013-02-24 23:40
系统: ubuntu 13.04
送出感谢: 0
接收感谢: 0

Re: 求教AMD平台下如何安装G++?

#11

帖子 ben302010 » 2013-02-25 12:51

hawkIdeality 写了:楼主说话真是的……就不能说明白你到底出了什么问题,有什么提示,你的操作步骤是什么吗?

非得一句“不能用”带过,估计除了你自己没人能理解你到底遇到什么问题。什么叫“现在用可以,sublime 还是不能用”?别人有心帮你,你却这么不尊重别人,唉。
其实我比较匆忙发这帖子,没看清楚。其实意思就是我输入G++,出现如下代码

代码: 全选

[../src/configure -v --with-pkgversion='Ubuntu/Linaro 4.7.2-2ubuntu1' --with-bugurl=file:///usr/share/doc/gcc-4.7/README.Bugs --enable-languages=c,c++,go,fortran,objc,obj-c++ --prefix=/usr --program-suffix=-4.7 --enable-shared --enable-linker-build-id --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.7 --libdir=/usr/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --enable-gnu-unique-object --enable-plugin --enable-objc-gc --disable-werror --with-arch-32=i686 --with-tune=generic --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu/code]
不能用的意思:指我的sublime 还是不能编译,它的buildresult没有信息
头像
懒蜗牛Gentoo
论坛版主
帖子: 7284
注册时间: 2007-03-02 17:36
送出感谢: 0
接收感谢: 95 次

Re: 求教AMD平台下如何安装G++?

#12

帖子 懒蜗牛Gentoo » 2013-02-25 12:56

ben302010 写了:
hawkIdeality 写了:楼主说话真是的……就不能说明白你到底出了什么问题,有什么提示,你的操作步骤是什么吗?

非得一句“不能用”带过,估计除了你自己没人能理解你到底遇到什么问题。什么叫“现在用可以,sublime 还是不能用”?别人有心帮你,你却这么不尊重别人,唉。
其实我比较匆忙发这帖子,没看清楚。其实意思就是我输入G++,出现如下代码

代码: 全选

[../src/configure -v --with-pkgversion='Ubuntu/Linaro 4.7.2-2ubuntu1' --with-bugurl=file:///usr/share/doc/gcc-4.7/README.Bugs --enable-languages=c,c++,go,fortran,objc,obj-c++ --prefix=/usr --program-suffix=-4.7 --enable-shared --enable-linker-build-id --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.7 --libdir=/usr/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --enable-gnu-unique-object --enable-plugin --enable-objc-gc --disable-werror --with-arch-32=i686 --with-tune=generic --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu/code]
不能用的意思:指我的sublime 还是不能编译,它的buildresult没有信息[/quote]
依旧无法理解。
楼主说输入g++出现上面那堆代码,可是实在看不出来这堆代码跟g++有啥关系。这堆代码好像是编译一个啥包的时候输入的configure命令及其参数,可是又没贴出这个命令的运行结果,有什么错误。 :em20  :em20  :em20
虽然世上没有完美的东西,但这并不影响我们追求完美,因为只有偏执狂才TMD能成功。
10.04新手入门——笨兔兔讲述自己的故事
ben302010
帖子: 14
注册时间: 2013-02-24 23:40
系统: ubuntu 13.04
送出感谢: 0
接收感谢: 0

Re: 求教AMD平台下如何安装G++?

#13

帖子 ben302010 » 2013-02-25 13:29

我直接用 g++ xx.cpp -o 会生成编译的文件的。上面的代码是我按 G++ -V出现的。
至于不能用,是指我在sublime 里没效果,build result什么信息都没有。
:em06
头像
hawkIdeality
帖子: 411
注册时间: 2012-05-14 18:39
送出感谢: 5 次
接收感谢: 8 次

Re: 求教AMD平台下如何安装G++?

#14

帖子 hawkIdeality » 2013-02-25 13:41

那些信息应该是输入:g++ -v 后显示的编译器信息吧。

可能是你sublime的设置不对吧。sublime下,你在点击build之前先点击:Tools->Build System->C++试试。如果不行就创建一个New Build System,然后拷贝下面一段到新打开的sublime-build文件中:

{
"cmd": ["g++", "${file}", "-o", "${file_path}/${file_base_name}"],
"file_regex": "^(..[^:]*):([0-9]+):?([0-9]+)?:? (.*)$",
"working_dir": "${file_path}",
"selector": "source.c, source.c++",

"variants":
[
{
"name": "Run",
"cmd": ["bash", "-c", "g++ '${file}' -o '${file_path}/${file_base_name}' && '${file_path}/${file_base_name}'"]
}
]
}

这段是我的C++.sublime-build,不知道在楼主那里可不可以用。
崩溃是不可抗拒滴
攒钱买(第?台)macbook,然后装ubuntu
那些说unity找不到应用程序的人拜托按一下win+A好吗?
Novelty, Novelty, Give Me Novelty
发表Linux、Win、OS X的对比帖时,建议您确认一下您真的用过Linux&&Win&&OS X,而不是用过Linux||Win||OS X。
吾乃古剑奇谭NC粉!
头像
懒蜗牛Gentoo
论坛版主
帖子: 7284
注册时间: 2007-03-02 17:36
送出感谢: 0
接收感谢: 95 次

Re: 求教AMD平台下如何安装G++?

#15

帖子 懒蜗牛Gentoo » 2013-02-25 16:37

那么通过楼主的描述,可以确认g++没有问题,安装好了。
虽然世上没有完美的东西,但这并不影响我们追求完美,因为只有偏执狂才TMD能成功。
10.04新手入门——笨兔兔讲述自己的故事
回复

回到 “老旧版本支持”